<div class="form" *ngIf="user">

  <img mat-card-image class="poster" [src]="'assets/img/' + user.avatar" />

  <mat-form-field class="field">
    <input type="text" placeholder="Name" [value]="user.name" readonly matInput />
  </mat-form-field>

  <mat-form-field class="field">
    <input type="text" placeholder="E-mail" [value]="user.email" readonly matInput />
  </mat-form-field>

  <app-list *ngIf="!this.isUserLogged" class="section" label="Last watched" [movies]="this.movies"></app-list>

</div>

<div class="movies" *ngIf="this.isUserLogged">

  <mat-list>
    <h3 mat-subheader>
      Your watched movies ({{ movies.length }})
      <button mat-icon-button title="add movie" (click)="this.add()">
        <mat-icon>add</mat-icon>
      </button>
    </h3>
    <mat-divider></mat-divider>
    <mat-list-item matRipple *ngFor="let movie of movies" [routerLink]="['/play', movie.imdbID]">
      <mat-icon mat-list-icon>movie</mat-icon>
      <img [src]="movie.Poster" height="50" width="50" />
      <h4 mat-line>{{ movie.Title }} ({{ movie.imdbRating }})</h4>
      <p mat-line> {{ movie.Genre}} </p>
    </mat-list-item>
  </mat-list>

</div>
